Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.messaging.integration
Class FlexHeaders

    java.lang.Object
      org.springframework.flex.messaging.integration.FlexHeaders

    public abstract class FlexHeaders

extends Object

Constants for the header names that are mapped from a Flex Message to a Spring Integration Message.

Author:
  Mark Fisher

Field Summary
`static String` | `DESTINATION_ID`
`static String` | `FLEX_CLIENT_ID`
`static String` | `MESSAGE_CLIENT_ID`
`static String` | `MESSAGE_ID`
`static String` | `TIMESTAMP`

Constructor Summary
`FlexHeaders()`

Method Summary
`static List<String>` | `ignored()` Returns the list of headers that are set explicitly to properties of AsyncMessage and shouldn't be added to it's header map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MESSAGE_CLIENT_ID

    public static final String MESSAGE_CLIENT_ID

See Also:
  Constant Field Values

### DESTINATION_ID

    public static final String DESTINATION_ID

See Also:
  Constant Field Values

### MESSAGE_ID

    public static final String MESSAGE_ID

See Also:
  Constant Field Values

### TIMESTAMP

    public static final String TIMESTAMP

See Also:
  Constant Field Values

### FLEX_CLIENT_ID

    public static final String FLEX_CLIENT_ID

See Also:
  Constant Field Values

Constructor Detail

### FlexHeaders

    public FlexHeaders()

Method Detail

### ignored

    public static List<String> ignored()

  Returns the list of headers that are set explicitly to properties of AsyncMessage and shouldn't be added to it's header map.

  Returns:
    a list of headers to ignore when setting AsyncMessage headers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.